Can't update from webui or ssh

    • Can't update from webui or ssh

      Hi hope someone can help me out. I have tried to update both from webui and ssh but I only get an error message. This is from the ssh attempt ?( ?( ?(

      Preconfiguring packages ...
      Inconsistency detected by ld.so: get-dynamic-info.h: 124: elf_get_dynamic_info: Assertion `info[19]->d_un.d_val == sizeof (Elf32_Rel)' failed!
      dpkg: error processing archive /var/cache/apt/archives/libxml2_2.9.1+dfsg1-5+deb8u5_armhf.deb (--unpack):
      subprocess dpkg-deb --control returned error exit status 127
      Inconsistency detected by ld.so: get-dynamic-info.h: 124: elf_get_dynamic_info: Assertion `info[19]->d_un.d_val == sizeof (Elf32_Rel)' failed!
      dpkg: error processing archive /var/cache/apt/archives/libgd3_2.1.0-5+deb8u10_armhf.deb (--unpack):
      subprocess dpkg-deb --control returned error exit status 127
      Inconsistency detected by ld.so: get-dynamic-info.h: 124: elf_get_dynamic_info: Assertion `info[19]->d_un.d_val == sizeof (Elf32_Rel)' failed!
      dpkg: error processing archive /var/cache/apt/archives/libpq5_9.4.13-0+deb8u1_armhf.deb (--unpack):
      subprocess dpkg-deb --control returned error exit status 127
      Inconsistency detected by ld.so: get-dynamic-info.h: 124: elf_get_dynamic_info: Assertion `info[19]->d_un.d_val == sizeof (Elf32_Rel)' failed!
      dpkg: error processing archive /var/cache/apt/archives/git-man_1%3a2.1.4-2.1+deb8u4_all.deb (--unpack):
      subprocess dpkg-deb --control returned error exit status 127
      Inconsistency detected by ld.so: get-dynamic-info.h: 124: elf_get_dynamic_info: Assertion `info[19]->d_un.d_val == sizeof (Elf32_Rel)' failed!
      dpkg: error processing archive /var/cache/apt/archives/git_1%3a2.1.4-2.1+deb8u4_armhf.deb (--unpack):
      subprocess dpkg-deb --control returned error exit status 127
      Inconsistency detected by ld.so: get-dynamic-info.h: 124: elf_get_dynamic_info: Assertion `info[19]->d_un.d_val == sizeof (Elf32_Rel)' failed!
      dpkg: error processing archive /var/cache/apt/archives/git-core_1%3a2.1.4-2.1+deb8u4_all.deb (--unpack):
      subprocess dpkg-deb --control returned error exit status 127
      Inconsistency detected by ld.so: get-dynamic-info.h: 124: elf_get_dynamic_info: Assertion `info[19]->d_un.d_val == sizeof (Elf32_Rel)' failed!
      dpkg: error processing archive /var/cache/apt/archives/openmediavault_3.0.88_all.deb (--unpack):
      subprocess dpkg-deb --control returned error exit status 127
      Errors were encountered while processing:
      /var/cache/apt/archives/libxml2_2.9.1+dfsg1-5+deb8u5_armhf.deb
      /var/cache/apt/archives/libgd3_2.1.0-5+deb8u10_armhf.deb
      /var/cache/apt/archives/libpq5_9.4.13-0+deb8u1_armhf.deb
      /var/cache/apt/archives/git-man_1%3a2.1.4-2.1+deb8u4_all.deb
      /var/cache/apt/archives/git_1%3a2.1.4-2.1+deb8u4_armhf.deb
      /var/cache/apt/archives/git-core_1%3a2.1.4-2.1+deb8u4_all.deb
      /var/cache/apt/archives/openmediavault_3.0.88_all.deb
    • subzero79 wrote:

      Looks like corruption to me. Is this system running in sdcard or USB flash drive?
      Also my first guess. I wonder whether stuff like this github.com/ayufan-rock64/linux…64_diagnostics.sh#L38-L57 should become part of a standard OMV installation being executed once a week and can then notify the user that his installation got corrupted somehow.

      (background story and reason why there's also a VerifyAndFixFiles function: community around dev boards creates nice OS images, vendor picks them up, corrupts them using a crappy SD card while preparing them for their installer and puts damaged OS images on his download servers. Users have to deal with broken installations later)
      'OMV problems' with XU4 and Cloudshell 2? Nope, read this first. 'OMV problems' with Cloudshell 1? Nope, just Ohm's law or queue size.
    • Users Online 2

      2 Guests